<section class="company">
	<app-editable class="logo">
		<span editable-placeholder>Drag your logo here or click to select a file</span>
	</app-editable>

	<app-editable class="data">
		<span editable-placeholder>Select a company</span>
	</app-editable>
</section>

<section class="recipient">
	<app-editable class="address">
		<span editable-placeholder>Select a recipient</span>
	</app-editable>

	<mat-form-field appearance="invoice" floatLabel="always" class="date-of-issue">
		<mat-label>Date of issue</mat-label>
		<input matInput [matDatepicker]="issuePicker" placeholder="DD/MM/YYYY" />
		<mat-datepicker-toggle matSuffix [for]="issuePicker"></mat-datepicker-toggle>
		<mat-datepicker #issuePicker></mat-datepicker>
	</mat-form-field>

	<mat-form-field appearance="invoice" floatLabel="always" class="invoice-number">
		<mat-label>Invoice number</mat-label>
		<input matInput placeholder="Enter an invoice number" />
	</mat-form-field>

	<div class="amount">
		<span>Amount due (EUR)</span>
		<h3 class="mat-display-1">0,00 €</h3>
	</div>

	<mat-form-field appearance="invoice" floatLabel="always" class="due-date">
		<mat-label>Due date</mat-label>
		<input matInput [matDatepicker]="duePicker" placeholder="DD/MM/YYYY" />
		<mat-datepicker-toggle matSuffix [for]="duePicker"></mat-datepicker-toggle>
		<mat-datepicker #duePicker></mat-datepicker>
	</mat-form-field>
</section>

<section class="positions">
	<mat-table [dataSource]="dataSource" cdkDropList cdkDropListOrientation="vertical" (cdkDropListDropped)="drop($event)">
		<ng-container matColumnDef="description">
			<mat-header-cell *matHeaderCellDef>{{ 'transl.invoices.description' | translate }}</mat-header-cell>
			<mat-cell *matCellDef="let element">
				<mat-form-field appearance="invoice-position">
					<input matInput [placeholder]="'transl.invoices.position-name' | translate" [matAutocomplete]="auto" [formControl]="myControl" />
					<mat-autocomplete #auto="matAutocomplete">
						<mat-option *ngFor="let option of filteredOptions | async" [value]="option">{{ option }}</mat-option>
					</mat-autocomplete>
				</mat-form-field>
				<mat-form-field appearance="invoice-position">
					<input matInput [placeholder]="'transl.invoices.position-description' | translate" />
				</mat-form-field>
			</mat-cell>
		</ng-container>

		<ng-container matColumnDef="rate">
			<mat-header-cell *matHeaderCellDef>{{ 'transl.invoices.rate' | translate }}</mat-header-cell>
			<mat-cell *matCellDef="let element">
				<mat-form-field appearance="invoice-position">
					<input matInput [placeholder]="'transl.invoices.position-rate' | translate" />
				</mat-form-field>
			</mat-cell>
		</ng-container>

		<ng-container matColumnDef="quantity">
			<mat-header-cell *matHeaderCellDef>{{ 'transl.invoices.quantity' | translate }}</mat-header-cell>
			<mat-cell *matCellDef="let element">
				<mat-form-field appearance="invoice-position">
					<input matInput [placeholder]="'transl.invoices.position-quantity' | translate" />
				</mat-form-field>
			</mat-cell>
		</ng-container>

		<ng-container matColumnDef="line-total">
			<mat-header-cell *matHeaderCellDef>{{ 'transl.invoices.line-total' | translate }}</mat-header-cell>
			<mat-cell *matCellDef="let element">
				<mat-form-field appearance="invoice-position">
					<input matInput [placeholder]="'transl.invoices.position-line-total' | translate" />
				</mat-form-field>
			</mat-cell>
		</ng-container>

		<ng-container matColumnDef="actions">
			<mat-header-cell *matHeaderCellDef></mat-header-cell>
			<mat-cell *matCellDef="let element">
				<button mat-icon-button (click)="removePosition(element)">
					<mat-icon>delete</mat-icon>
				</button>
			</mat-cell>
		</ng-container>

		<mat-header-row *matHeaderRowDef="autoColumns"></mat-header-row>
		<mat-row cdkDrag *matRowDef="let row; columns: autoColumns">
			<mat-row class="row-placeholder" mat-row *cdkDragPlaceholder></mat-row>
		</mat-row>
	</mat-table>

	<app-editable (click)="createRow()">
		<span editable-placeholder>
			<mat-icon>add</mat-icon>
			<span class="mat-h1">{{ 'transl.invoices.add-line' | translate }}</span>
		</span>
	</app-editable>
</section>

<section class="summary">
	<div>
		<span>{{ 'transl.invoices.subtotal' | translate }}</span>
		<span>00000</span>
	</div>
	<div>
		<span>{{ 'transl.invoices.discount' | translate: 0 }}</span>
		<span>00000</span>
	</div>
	<div>
		<span>{{ 'transl.invoices.tax' | translate }}</span>
		<span>00000</span>
	</div>
	<div>
		<span>{{ 'transl.invoices.total' | translate }}</span>
		<span>00000</span>
	</div>
	<div>
		<span>{{ 'transl.invoices.amountPaid' | translate }}</span>
		<span>00000</span>
	</div>
	<div>
		<span>{{ 'transl.invoices.amountDue' | translate }}</span>
		<span>00000</span>
	</div>
</section>

<section class="notes">
	<mat-form-field appearance="invoice" floatLabel="always">
		<mat-label>{{ 'transl.invoices.notes' }}</mat-label>
		<input matInput [placeholder]="'transl.invoices.enter-notes' | translate" />
	</mat-form-field>
</section>

<section class="terms">
	<mat-form-field appearance="invoice" floatLabel="always">
		<mat-label>{{ 'transl.invoices.terms' }}</mat-label>
		<input matInput [placeholder]="'transl.invoices.enter-terms' | translate" />
	</mat-form-field>
</section>
